glibmm 2.60.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< double > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< double >:
[legend]

## Public Types
using | CppType = double
using | CType = gdouble

## Public Member Functions
void | set (double data)
double | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

## ◆ CppType

using Glib::Value< double >::CppType = double

## ◆ CType

using Glib::Value< double >::CType = gdouble

## Member Function Documentation

## ◆ get()

double Glib::Value< double >::get | ( |  | ) | const

## ◆ set()

void Glib::Value< double >::set | ( | double | data | ) |

## ◆ value_type()

static GType Glib::Value< double >::value_type | ( |  | ) |
| static